@echo off
rem All maps by Luchian Deurell
rem except `Evader' and `Cryofish' by Sam Jeffreys
rem MAPSETUP.BAT by Sam Jeffreys
rem MAPSETUP Updates by Scott T Jones
if exist geodata\token2.flg goto istoken
goto start

:start
cls
echo New alien ships package
echo For XCOM: TFTD
echo.
echo Select option:
echo.
echo 1. Install
echo 2. Information
echo 3. Exit to DOS
getresp 123
if errorlevel 3 goto exitmsg
if errorlevel 2 goto info
if errorlevel 1 goto instverify

:info
cls
if not exist maps.doc goto err_docfile
type maps.doc | more
echo.
pause > nul
goto start

:instverify
cls
echo Are you sure you want to install
echo the new alien ships package (Y/N)?
getresp yYnN
if errorlevel 3 goto start
if errorlevel 1 goto setlocs

:setlocs
cls
if not exist in.exe goto err_inexe
echo Please enter the following information:
echo.
echo X-COM: TFTD DRIVE (e.g. D:)
in > temp.bat
call temp > nul
set xdrv=%dummy%
echo X-COM: TFTD DIRECTORY (e.g. GAMES\XCOM2)
in > temp.bat
call temp > nul
set xdir=%dummy%
echo CURRENT DRIVE (e.g. C:)
in > temp.bat
call temp > nul
set cdrv=%dummy%
echo CURRENT DIRECTORY (e.g. TEMP)
in > temp.bat
call temp > nul
set cdir=%dummy%
set dummy=
del temp.bat
cls
echo The directory TFTD is installed in .......... %xdrv%\%xdir%
echo The directory you are currently in .......... %cdrv%\%cdir%
echo.
echo Is this correct (Y/N)?
getresp yYnN
if errorlevel 3 goto start
if errorlevel 1 goto dochecks

:dochecks
cls
echo Checking files - Please wait...
echo.
echo 
if not exist %xdrv%\%xdir%\nul goto err_noxdir
if not exist %cdrv%\%cdir%\nul goto err_nocdir
cls
echo Checking files - Please wait...
echo.
echo 
if not exist %xdrv%\%xdir%\maps\seabed00.map goto err_ufo
if exist %xdrv%\%xdir%\maps\jungle00.map goto err_tftd
cls
echo Checking files - Please wait...
echo.
echo 
if exist %xdrv%\%xdir%\geodata\token2.flg goto err_istoken
if not exist %xdrv%\%xdir%\xcomutil.exe goto err_noxcut
cls
echo Checking files - Please wait...
echo.
echo 
goto checkxcut

:checkxcut
%xdrv%
cd\%xdir%
if not exist runxcomw.bat goto err_olxcut
xcomutil QueryInfo Version > nul
if errorlevel 85 goto chkxcuin
%cdrv%
cd\%cdir%
goto err_olxcut

:chkxcuin
xcomutil QueryInfo CheckSetup >nul
if errorlevel 1 goto badxcuin
goto contchecks
:badxcuin
echo XCUSETUP.BAT has not been executed 
echo for this version of XCOMUTIL.
echo.
%cdrv%
cd\%cdir%
goto downer

:contchecks
cls
echo Checking files - Please wait...
echo.
echo 
%cdrv%
cd\%cdir%
set dummy=ufo01.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo02.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo03.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo04.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo05.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo06.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo07.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo08.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo01.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo02.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo03.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo04.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo05.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo06.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo07.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo08.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=ufo09.map
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=ufo09.rmp
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=mapsetup.bat
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=in.exe
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=maps.doc
if not exist %cdrv%\%cdir%\%dummy% goto err_file
set dummy=english.cou
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=english.cry
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
set dummy=xcomutil.add
if not exist %cdrv%\%cdir%\%dummy% goto err_file
cls
echo Checking files - Please wait...
echo.
echo 
goto chooseship

:chooseship
cls
echo Before installing the new alien ships package, there is a
echo choice of two different maps to replace the Hunter.
echo You can swap between them after installation.
echo Which would you like to set as the default?
echo.
echo 1. Medical Courier
echo 2. Cryofish
getresp 12
if errorlevel 2 goto defevader
if errorlevel 1 goto defcruiser

:defcruiser
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\maps\ufo0*.map %xdrv%\%xdir%\maps\ufo0*.aaa > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\ufo0*.map %xdrv%\%xdir%\maps\ufo0*.bbb > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\maps\ufo0*.bbb %xdrv%\%xdir%\maps\ufo0*.map > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\routes\ufo0*.rmp %xdrv%\%xdir%\routes\ufo0*.aaa > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\ufo0*.rmp %xdrv%\%xdir%\routes\ufo0*.bbb > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\routes\ufo0*.bbb %xdrv%\%xdir%\routes\ufo0*.rmp > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\geodata\english.dat %xdrv%\%xdir%\geodata\english.aaa > nul
copy %cdrv%\%cdir%\english.* %xdrv%\%xdir%\geodata > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\geodata\english.cou %xdrv%\%xdir%\geodata\english.dat > nul
echo Condition=COURIER > %xdrv%\%xdir%\geodata\courier.flg
goto comminstall

:defevader
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\maps\ufo0*.map %xdrv%\%xdir%\maps\ufo0*.aaa > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\ufo0*.map %xdrv%\%xdir%\maps\ufo0*.bbb > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\maps\ufo0*.bbb %xdrv%\%xdir%\maps\ufo0*.map > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\maps\ufo09.bbb %xdrv%\%xdir%\maps\ufo05.map > nul
copy %xdrv%\%xdir%\routes\ufo0*.rmp %xdrv%\%xdir%\routes\ufo0*.aaa > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\ufo0*.rmp %xdrv%\%xdir%\routes\ufo0*.bbb > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\routes\ufo0*.bbb %xdrv%\%xdir%\routes\ufo0*.rmp > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\routes\ufo09.bbb %xdrv%\%xdir%\routes\ufo05.rmp > nul
copy %xdrv%\%xdir%\geodata\english.dat %xdrv%\%xdir%\geodata\english.aaa > nul
copy %cdrv%\%cdir%\english.* %xdrv%\%xdir%\geodata > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\geodata\english.cry %xdrv%\%xdir%\geodata\english.dat > nul
goto comminstall

:comminstall
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\mapsetup.bat %xdrv%\%xdir% > nul
copy %cdrv%\%cdir%\in.exe %xdrv%\%xdir% > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\maps.doc %xdrv%\%xdir% > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %xdrv%\%xdir%\xcomutil.cfg %xdrv%\%xdir%\xcomutil.aaa > nul
cls
echo Installing - Please wait...
echo.
echo 
copy %cdrv%\%cdir%\xcomutil.add + %xdrv%\%xdir%\xcomutil.aaa %xdrv%\%xdir%\xcomutil.cfg > nul
copy %xdrv%\%xdir%\xcomutil.cfg %xdrv%\%xdir%\xcomutil.bbb > nul
if not exist %xdrv%\%xdir%\getresp.exe copy %cdrv%\%cdir%\getresp.exe %xdrv%\%xdir%\getresp.exe > nul
cls
echo Installing - Please wait...
echo.
echo 
echo Condition=TOKEN2   > %xdrv%\%xdir%\geodata\token2.flg
echo Condition=NEWSHIPS > %xdrv%\%xdir%\geodata\newships.flg
echo Ship Addon         > %xdrv%\%xdir%\shipadon.xcf
%xdrv%
cd\%xdir%
cls
echo Installing - Please wait...
echo.
echo 
xcomutil ufoexe shp:cfg wrt > nul
cls
echo New alien ships package installed - OK
echo.
echo Type MAPSETUP at any time, to uninstall,
echo change ship sets or read documentation.
echo Type TERROR now, to start playing with
echo the new ships!
echo.
goto downer

:istoken
cls
echo New alien ships package
echo For XCOM: TFTD
echo.
echo Select option:
echo.
echo 1. Swap ship sets
echo 2. Swap UFO05.MAP
echo 3. Information
echo 4. Uninstall
echo 5. Exit to DOS
getresp 12345
if errorlevel 5 goto exitmsg
if errorlevel 4 goto uninverify
if errorlevel 3 goto info2
if errorlevel 2 goto swap130
if errorlevel 1 goto shipset

:info2
cls
if not exist maps.doc goto err_docfile
type maps.doc | more
echo.
pause > nul
goto istoken

:swap130
if not exist geodata\newships.flg goto istoken
cls
if exist geodata\courier.flg echo Current ship: MEDICAL COURIER
if not exist geodata\courier.flg echo Current ship: CRYOFISH
echo.
echo 1. Swap ship
echo 2. Previous menu
getresp 12
if errorlevel 2 goto istoken
if errorlevel 1 goto mapwhich

:mapwhich
if exist geodata\courier.flg goto evad_in
goto crui_in

:evad_in
cls
echo Installing CRYOFISH - Please wait...
echo.
echo 
cd maps
copy ufo09.bbb ufo05.map > nul
cls
echo Installing CRYOFISH - Please wait...
echo.
echo 
cd..\routes
copy ufo09.bbb ufo05.rmp > nul
cls
echo Installing CRYOFISH - Please wait...
echo.
echo 
cd..\geodata
copy english.cry english.dat > nul
cls
echo Installing CRYOFISH - Please wait...
echo.
echo 
cd..
del geodata\courier.flg
cls
echo Installing CRYOFISH - Please wait...
echo.
echo 
cls
echo CRYOFISH installed - OK
echo.
echo Press any key to continue.
pause > nul
goto istoken

:crui_in
cls
echo Installing MEDICAL COURIER - Please wait...
echo.
echo 
cd maps
copy ufo05.bbb ufo05.map > nul
cls
echo Installing MEDICAL COURIER - Please wait...
echo.
echo 
cd..\routes
copy ufo05.bbb ufo05.rmp > nul
cls
echo Installing MEDICAL COURIER - Please wait...
echo.
echo 
cd..\geodata
copy english.cou english.dat > nul
cls
echo Installing MEDICAL COURIER - Please wait...
echo.
echo 
cd..
echo Condition=COURIER > geodata\courier.flg
cls
echo Installing MEDICAL COURIER - Please wait...
echo.
echo 
cls
echo MEDICAL COURIER installed - OK
echo.
echo Press any key to continue.
pause > nul
goto istoken

:shipset
cls
if exist geodata\newships.flg echo Current ship set: NEWSHIPS
if not exist geodata\newships.flg echo Current ship set: ORIGINAL
echo.
echo 1. Swap ship set
echo 2. Previous menu
getresp 12
if errorlevel 2 goto istoken
if errorlevel 1 goto swapwhich

:swapwhich
cls
if exist geodata\newships.flg goto orig_in
goto derm_in

:orig_in
echo Installing ORIGINAL ship set - Please wait...
echo.
echo 
cd maps
copy *.aaa *.map > nul
cls
echo Installing ORIGINAL ship set - Please wait...
echo.
echo 
cd..\routes
copy *.aaa *.rmp > nul
cls
echo Installing ORIGINAL ship set - Please wait...
echo.
echo 
cd..\geodata
copy english.aaa english.dat > nul
cls
echo Installing ORIGINAL ship set - Please wait...
echo.
echo 
cd..
copy xcomutil.aaa xcomutil.cfg > nul
del geodata\newships.flg
cls
echo Installing ORIGINAL ship set - Please wait...
echo.
echo 
xcomutil ufoexe shp:cfg wrt > nul
cls
echo ORIGINAL ship set installed - OK
echo.
echo Press any key to continue.
pause > nul
goto istoken

:derm_in
echo Installing NEWSHIPS ship set - Please wait...
echo.
echo 
cd maps
copy *.bbb *.map > nul
cls
echo Installing NEWSHIPS ship set - Please wait...
echo.
echo 
cd..\routes
copy *.bbb *.rmp > nul
cls
echo Installing NEWSHIPS ship set - Please wait...
echo.
echo 
cd..\geodata
copy english.cou english.dat > nul
cls
echo Installing NEWSHIPS ship set - Please wait...
echo.
echo 
cd..
copy xcomutil.bbb xcomutil.cfg > nul
cls
echo Installing NEWSHIPS ship set - Please wait...
echo.
echo 
echo Condition=NEWSHIPS > geodata\newships.flg
echo Condition=COURIER > geodata\courier.flg
xcomutil ufoexe shp:cfg wrt > nul
cls
echo NEWSHIPS ship set installed - OK
echo.
echo Press any key to continue.
pause > nul
goto istoken

:uninverify
cls
echo Are you sure you want to uninstall
echo the new alien ships package (Y/N)?
getresp yYnN
if errorlevel 3 goto istoken
if errorlevel 1 goto ifyoumust

:ifyoumust
cls
echo Uninstalling - Please wait...
echo.
echo 
cd maps
copy *.aaa *.map > nul
del *.aaa
del *.bbb
if exist ufo09.map del ufo09.map
cls
echo Uninstalling - Please wait...
echo.
echo 
cd..\routes
copy *.aaa *.rmp > nul
del *.aaa
del *.bbb
if exist ufo09.rmp del ufo09.rmp
cls
echo Uninstalling - Please wait...
echo.
echo 
cd..\geodata
del *.flg
copy english.aaa english.dat > nul
del english.aaa
del english.cou
del english.cry
cls
echo Uninstalling - Please wait...
echo.
echo 
cd..
del in.exe
del maps.doc
copy xcomutil.aaa xcomutil.cfg > nul
del xcomutil.aaa
del xcomutil.bbb
del shipadon.xcf
cls
echo Uninstalling - Please wait...
echo.
echo 
xcomutil ufoexe shp:cfg wrt > nul
echo if not exist *.flg del ..\mapsetup.bat >> geodata\temp.bat
echo cd.. >> geodata\temp.bat
goto finalmsg

:err_noxdir
cls
echo The directory %xdrv%\%xdir% does not exist.
echo.
echo Please check, then install with the correct information.
echo.
goto downer

:err_nocdir
cls
echo The directory %cdrv%\%cdir% does not exist.
echo.
echo Please check, then install with the correct information.
echo.
goto downer

:err_ufo
cls
echo The directory %xdrv%\%xdir% does not contain X-COM: TFTD.
echo.
echo Please check, then install with the correct information.
echo.
goto downer

:err_tftd
cls
echo The directory %xdrv%\%xdir% contains X-COM / UFO.
echo.
echo This new alien ships package is for X-COM: TFTD.
echo.
goto downer

:err_istoken
cls
echo The new alien ships package is already installed in %xdrv%\%xdir%.
echo.
echo Please go to %xdrv%\%xdir%, then use MAPSETUP to uninstall the package,
echo if you want to re-install.
echo.
goto downer

:err_noxcut
cls
echo File not found: %xdrv%\%xdir%\xcomutil.exe
goto end_xcu

:err_olxcut
cls
echo XCOMUTIL version is earlier than v. 8.5
:end_xcu
echo.
echo You need a fully installed copy of XCOMUTIL v. 8.5 or later 
echo before you attempt to install this package. The latest version
echo can be downloaded from the XCOMUTIL Homepage at:
echo http://members.aol.com/stjones/xcomutil/
echo.
goto downer

:err_docfile
cls
echo File not found: maps.doc
echo.
goto downer

:err_inexe
cls
echo File not found: in.exe
echo.
goto cydonia

:err_file
cls
echo File not found: %cdrv%\%cdir%\%dummy%
echo.
set dummy=
goto downer

:exitmsg
cls
echo.
goto downer

:downer
set xdrv=
set xdir=
set cdrv=
set cdir=
goto cydonia

:finalmsg
cls
echo New alien ships package uninstalled - OK
echo.
echo This package has now been deleted, and
echo everything returned to its previous state.
echo We hope you enjoyed using these ships.
echo.
echo E-mail:
echo -------
echo Luchian Deurell: luchian@devisraad.com
echo Sam Jeffreys:    sam.jeffreys@virgin.net
echo Scott T Jones:   stjones@aol.com
echo.
echo Homepages:
echo ----------
echo http://devisraad.com
echo http://members.aol.com/stjones/xcomutil/
echo.
cd geodata
temp

:cydonia
